Package org.apache.groovy.ast.tools

## Class ConstructorNodeUtils

- java.lang.Object
- - org.apache.groovy.ast.tools.ConstructorNodeUtils

-     public class ConstructorNodeUtils
      extends Object

  Utility class for working with ConstructorNodes

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ConstructorCallExpression` | `getFirstIfSpecialConstructorCall​(Statement code)` | Return the first statement from the constructor code if it is a call to super or this, otherwise null.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getFirstIfSpecialConstructorCall

          public static ConstructorCallExpression getFirstIfSpecialConstructorCall​(Statement code)

      Return the first statement from the constructor code if it is a call to super or this, otherwise null.
      Parameters:
        `code` -
      Returns:
        the first statement if a special call or null